/*
 * Created on 15 avr. 2004
 */
package tests;

import java.io.IOException;
 
import org.apache.commons.httpclient.HttpException;
import org.apache.webdav.lib.WebdavResource;
import org.esupportail.portal.channels.CWebdav.provider.DavAccess;
import org.esupportail.portal.channels.CWebdav.provider.DavAccessImpl;
 
import junit.framework.TestCase;

/**
 * Id: LsTest.java,v 1.0 15 avr. 2004
 * Copyright (c) 2004 Esup Portail (www.esup-portail.org)
 * Classes: LsTest
 * Original Author: Yohan Colmant
 *
 */
public class LsTest extends TestCase {
	
	private DavAccess dav;
	private WebdavResource[] v;
	
	public static void main(String[] args) {
		junit.swingui.TestRunner.run(LsTest.class);
	}
	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		
		dav = new DavAccessImpl();
		dav.init("http://chene.univ-rennes1.fr:8889/~bidon","bidon","xpcwd");
		dav.connect();		
		
		v = dav.ls("~bidon/testLs/");
	}
	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
		
		dav.disconnect();
	}
	/**
	 * Constructor for LsTest.
	 * @param arg0
	 */
	public LsTest(String arg0) {
		super(arg0);
	}
	
	public void testLsCollection() throws HttpException, IOException {				
			assertEquals(v[0].isCollection(),true);
	}
		public void testLsLocked() throws HttpException, IOException {				
		assertEquals("test si lock : ",v[0].isLocked(), false);
		}
		public void testLsHidden() throws HttpException, IOException {				
		assertEquals("test si cach : ",v[0].getIsHidden(), false);
		}
		public void testLsDisplayName() throws HttpException, IOException {				
		assertEquals("test DisplayName : ",v[0].getDisplayName(), "repertoire");
		}
		public void testLsContentLength() throws HttpException, IOException {				
		assertEquals("test contentLenght : ",v[0].getGetContentLength(), 0);
		}
		public void testLsContentType() throws HttpException, IOException {				
		assertEquals("test contentType",v[0].getGetContentType(), "httpd/unix-directory");
		}
		public void testLsgetHost() throws HttpException, IOException {				
		assertEquals("test getHost : ",v[0].getHost(), "chene.univ-rennes1.fr");
		}
		public void testLsgetPath() throws HttpException, IOException {				
		assertEquals("test getPath : ",v[0].getPath(), "/~bidon/testLs/repertoire");
		}
		public void testLsCollection2() throws HttpException, IOException {				
		assertEquals("test si Collection : ",v[1].isCollection(),false);
		}
		public void testLsLocked2() throws HttpException, IOException {				
		assertEquals("test si lock 2 : ",v[1].isLocked(), false);	
		}
		public void testLsHidden2() throws HttpException, IOException {				
		assertEquals("test si hidden 2 : ",v[1].getIsHidden(), false);	
		}
		public void testLsDisplayName2() throws HttpException, IOException {				
		assertEquals("test displayName 2 : ",v[1].getDisplayName(), "fichier.txt");
		}
		public void testLsContentLength2() throws HttpException, IOException {				
		assertEquals("test contentLenght 2 : ",v[1].getGetContentLength(), 15);
		}
		public void testLsContentType2() throws HttpException, IOException {				
		assertEquals("test contentType 2 : ",v[1].getGetContentType(), "text/plain");
		}
		public void testGestHost2() throws HttpException, IOException {				
		assertEquals("tes getHost 2 : ",v[1].getHost(), "chene.univ-rennes1.fr");
		}
		public void testLsGetPath2() throws HttpException, IOException {				
		assertEquals("test getPath 2 : ",v[1].getPath(), "/~bidon/testLs/fichier.txt");	
	}
}
